# Summary

[Introduction](./README.md)

--- 

- [Building](./building/README.md)
  - [Xcode + Cargo](./building/xcode-and-cargo/README.md)
  - [swiftc + Cargo](./building/swiftc-and-cargo/README.md)
  - [Swift Packages](./building/swift-packages/README.md)

- [The Bridge Module](./bridge-module/README.md)
  - [Functions](./bridge-module/functions/README.md)
  - [Opaque Types](./bridge-module/opaque-types/README.md)
  - [Transparent Types](./bridge-module/transparent-types/README.md)
  - [Async Functions](./bridge-module/async-functions/README.md)
  - [Conditional Compilation](./bridge-module/conditional-compilation/README.md)

- [Built In Types](./built-in/README.md)
  - [Option<T> <---> Optional<T>](./built-in/option/README.md)
  - [Vec<T> <---> RustVec<T>](./built-in/vec/README.md)
  - [String <---> String](./built-in/string/README.md)
  - [&str <---> RustStr](./built-in/str/README.md)

- [Internal Design](./internal-design/README.md)
  - [Code Generation](./internal-design/codegen/README.md)
